## mysql-cluster-community 8.0.24

=== debian/changelog ===
mysql-cluster-community (8.0.24-1debian9) stretch; urgency=low

  * New Release. For release notes, please refer to
    https://dev.mysql.com/doc/relnotes/mysql/8.0/en/news-8-0-24.html

 -- MySQL Release Engineering <mysql-build@oss.oracle.com>  Fri, 26 Mar 2021 04:58:01 +0000
