## mysql-cluster-community 8.0.25

=== debian/changelog ===
mysql-cluster-community (8.0.25-1debian9) stretch; urgency=low

  * New Release. For release notes, please refer to
    https://dev.mysql.com/doc/relnotes/mysql/8.0/en/news-8-0-25.html

 -- MySQL Release Engineering <mysql-build@oss.oracle.com>  Fri, 23 Apr 2021 22:52:41 +0000
