=== debian/rules ===
--- 
+++ 
@@ -56,7 +56,7 @@
 		-DCOMPILATION_COMMENT="MySQL Cluster Community - GPL - Debug" \
 		-DCOMPILATION_COMMENT_SERVER="MySQL Cluster Community Server - GPL - Debug" \
 		-DINSTALL_LAYOUT=DEB \
--DNDB_NODEJS_EXTRAS_PATH=/var/lib/pb2/sb_1-2571672-1616734611.89/master-export-399459 \
+-DNDB_NODEJS_EXTRAS_PATH=/var/lib/pb2/sb_1-2918142-1619218289.31/master-export-399459 \
 		-DREPRODUCIBLE_BUILD=OFF \
 		-DDEB_PRODUCT=cluster-community \
 		-DWITH_NDBCLUSTER=1 -DWITH_MEB=0 -DWITH_ROUTER=0
@@ -76,7 +76,7 @@
 		-DCOMPILATION_COMMENT="MySQL Cluster Community - GPL" \
 		-DCOMPILATION_COMMENT_SERVER="MySQL Cluster Community Server - GPL" \
 		-DINSTALL_LAYOUT=DEB \
--DNDB_NODEJS_EXTRAS_PATH=/var/lib/pb2/sb_1-2571672-1616734611.89/master-export-399459 \
+-DNDB_NODEJS_EXTRAS_PATH=/var/lib/pb2/sb_1-2918142-1619218289.31/master-export-399459 \
 		-DREPRODUCIBLE_BUILD=OFF \
 		-DDEB_PRODUCT=cluster-community \
 		-DWITH_NDBCLUSTER=1 -DWITH_MEB=0 -DWITH_ROUTER=0
