=== debian/rules ===
--- 
+++ 
@@ -26,8 +26,6 @@
 	dh $@
 
 export DH_VERBOSE=1
-export CFLAGS=
-export CXXFLAGS=
 
 ifeq (,$(MYSQL_BUILD_MAKE_JFLAG))
 	JOBS=-j8
@@ -56,8 +54,9 @@
 		-DCOMPILATION_COMMENT="MySQL Cluster Community - GPL - Debug" \
 		-DCOMPILATION_COMMENT_SERVER="MySQL Cluster Community Server - GPL - Debug" \
 		-DINSTALL_LAYOUT=DEB \
--DNDB_NODEJS_EXTRAS_PATH=/var/lib/pb2/sb_1-2918142-1619218289.31/master-export-399459 \
+-DNDB_NODEJS_EXTRAS_PATH=/var/lib/pb2/sb_1-3697723-1625150583.63/master-export-879281 \
 		-DREPRODUCIBLE_BUILD=OFF \
+		-DUSE_LD_LLD=OFF \
 		-DDEB_PRODUCT=cluster-community \
 		-DWITH_NDBCLUSTER=1 -DWITH_MEB=0 -DWITH_ROUTER=0
 
@@ -76,8 +75,9 @@
 		-DCOMPILATION_COMMENT="MySQL Cluster Community - GPL" \
 		-DCOMPILATION_COMMENT_SERVER="MySQL Cluster Community Server - GPL" \
 		-DINSTALL_LAYOUT=DEB \
--DNDB_NODEJS_EXTRAS_PATH=/var/lib/pb2/sb_1-2918142-1619218289.31/master-export-399459 \
+-DNDB_NODEJS_EXTRAS_PATH=/var/lib/pb2/sb_1-3697723-1625150583.63/master-export-879281 \
 		-DREPRODUCIBLE_BUILD=OFF \
+		-DUSE_LD_LLD=OFF \
 		-DDEB_PRODUCT=cluster-community \
 		-DWITH_NDBCLUSTER=1 -DWITH_MEB=0 -DWITH_ROUTER=0
