=== debian/rules ===
--- 
+++ 
@@ -54,7 +54,7 @@
 		-DCOMPILATION_COMMENT="MySQL Cluster Community - GPL - Debug" \
 		-DCOMPILATION_COMMENT_SERVER="MySQL Cluster Community Server - GPL - Debug" \
 		-DINSTALL_LAYOUT=DEB \
--DNDB_NODEJS_EXTRAS_PATH=/var/lib/pb2/sb_1-3697723-1625150583.63/master-export-879281 \
+-DNDB_NODEJS_EXTRAS_PATH=/var/lib/pb2/sb_1-4628562-1632892396.26/master-export-1158556 \
 		-DREPRODUCIBLE_BUILD=OFF \
 		-DUSE_LD_LLD=OFF \
 		-DDEB_PRODUCT=cluster-community \
@@ -75,7 +75,7 @@
 		-DCOMPILATION_COMMENT="MySQL Cluster Community - GPL" \
 		-DCOMPILATION_COMMENT_SERVER="MySQL Cluster Community Server - GPL" \
 		-DINSTALL_LAYOUT=DEB \
--DNDB_NODEJS_EXTRAS_PATH=/var/lib/pb2/sb_1-3697723-1625150583.63/master-export-879281 \
+-DNDB_NODEJS_EXTRAS_PATH=/var/lib/pb2/sb_1-4628562-1632892396.26/master-export-1158556 \
 		-DREPRODUCIBLE_BUILD=OFF \
 		-DUSE_LD_LLD=OFF \
 		-DDEB_PRODUCT=cluster-community \
