## mysql-cluster-community 8.0.28

=== debian/changelog ===
mysql-cluster-community (8.0.28-1debian10) buster; urgency=low

  * New Release. For release notes, please refer to
    https://dev.mysql.com/doc/relnotes/mysql/8.0/en/news-8-0-28.html

 -- MySQL Release Engineering <mysql-build@oss.oracle.com>  Fri, 17 Dec 2021 23:01:57 +0000
