=== debian/rules ===
--- 
+++ 
@@ -54,7 +54,7 @@
 		-DCOMPILATION_COMMENT="MySQL Cluster Community - GPL - Debug" \
 		-DCOMPILATION_COMMENT_SERVER="MySQL Cluster Community Server - GPL - Debug" \
 		-DINSTALL_LAYOUT=DEB \
--DNDB_NODEJS_EXTRAS_PATH=/var/lib/pb2/sb_1-4628562-1632892396.26/master-export-1158556 \
+-DNDB_NODEJS_EXTRAS_PATH=/var/lib/pb2/sb_1-5551373-1639782014.72/master-export-1158556 \
 		-DREPRODUCIBLE_BUILD=OFF \
 		-DUSE_LD_LLD=OFF \
 		-DDEB_PRODUCT=cluster-community \
@@ -75,7 +75,7 @@
 		-DCOMPILATION_COMMENT="MySQL Cluster Community - GPL" \
 		-DCOMPILATION_COMMENT_SERVER="MySQL Cluster Community Server - GPL" \
 		-DINSTALL_LAYOUT=DEB \
--DNDB_NODEJS_EXTRAS_PATH=/var/lib/pb2/sb_1-4628562-1632892396.26/master-export-1158556 \
+-DNDB_NODEJS_EXTRAS_PATH=/var/lib/pb2/sb_1-5551373-1639782014.72/master-export-1158556 \
 		-DREPRODUCIBLE_BUILD=OFF \
 		-DUSE_LD_LLD=OFF \
 		-DDEB_PRODUCT=cluster-community \
@@ -132,11 +132,9 @@
 	@echo "RULES.$@"
 	
 	
-	dh_systemd_enable --name=mysql
-	dh_installinit --name=mysql -- defaults 19 21
-	dh_installinit --name=mysql@ -- disable
+	dh_installsystemd --name=mysql
+	dh_installsystemd --name=mysql@ --no-enable --no-start
 	
-	dh_systemd_start --restart-after-upgrade
 	touch $@
 
 override_dh_install:
@@ -152,3 +150,7 @@
 # for both.
 override_dh_strip:
 	dh_strip -Xlibprotobuf-lite
+
+# Debug plugins use libprotobuf-lite from the server package.
+override_dh_shlibdeps:
+	dh_shlibdeps -Lmysql-cluster-community-server-core -l/usr/lib/mysql/private
