## mysql-cluster-community 8.0.30

=== debian/changelog ===
mysql-cluster-community (8.0.30-1debian11) bullseye; urgency=low

  * New Release. For release notes, please refer to
    https://dev.mysql.com/doc/relnotes/mysql/8.0/en/news-8-0-30.html

 -- MySQL Release Engineering <mysql-build@oss.oracle.com>  Thu, 07 Jul 2022 04:27:14 +0000
