=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #!/usr/bin/make -f
 
-# Copyright (c) 2015, 2021, Oracle and/or its affiliates.
+# Copyright (c) 2015, 2022, Oracle and/or its affiliates.
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License, version 2.0,
@@ -40,7 +40,7 @@
 	
 	mkdir debug && cd debug && \
 	cmake .. \
-      -DWITH_BOOST=/usr/global/share -DWITH_UNIT_TESTS=false \
+    -DWITH_BOOST=/usr/global/share -DWITH_UNIT_TESTS=false \
 		-DBUILD_CONFIG=mysql_release \
 		-DCMAKE_INSTALL_PREFIX=/usr \
 		-DCMAKE_BUILD_TYPE=Debug \
@@ -54,16 +54,16 @@
 		-DCOMPILATION_COMMENT="MySQL Cluster Community - GPL - Debug" \
 		-DCOMPILATION_COMMENT_SERVER="MySQL Cluster Community Server - GPL - Debug" \
 		-DINSTALL_LAYOUT=DEB \
--DNDB_NODEJS_EXTRAS_PATH=/var/lib/pb2/sb_1-5551373-1639782014.72/master-export-1158556 \
+-DNDB_NODEJS_EXTRAS_PATH=/var/lib/pb2/sb_1-7666722-1657167937.33/master-export-1921728 \
 		-DREPRODUCIBLE_BUILD=OFF \
 		-DUSE_LD_LLD=OFF \
 		-DDEB_PRODUCT=cluster-community \
-		-DWITH_NDBCLUSTER=1 -DWITH_MEB=0 -DWITH_ROUTER=0
+		-DWITH_NDBCLUSTER=1 -DWITH_NDB=1 -DWITH_MEB=0 -DWITH_ROUTER=0
 
 
 	mkdir release && cd release && \
 	cmake .. \
-      -DWITH_BOOST=/usr/global/share -DWITH_UNIT_TESTS=false \
+    -DWITH_BOOST=/usr/global/share -DWITH_UNIT_TESTS=false \
 		-DBUILD_CONFIG=mysql_release \
 		-DCMAKE_INSTALL_PREFIX=/usr \
 		-DINSTALL_LIBDIR=lib/$(DEB_HOST_MULTIARCH) \
@@ -75,11 +75,11 @@
 		-DCOMPILATION_COMMENT="MySQL Cluster Community - GPL" \
 		-DCOMPILATION_COMMENT_SERVER="MySQL Cluster Community Server - GPL" \
 		-DINSTALL_LAYOUT=DEB \
--DNDB_NODEJS_EXTRAS_PATH=/var/lib/pb2/sb_1-5551373-1639782014.72/master-export-1158556 \
+-DNDB_NODEJS_EXTRAS_PATH=/var/lib/pb2/sb_1-7666722-1657167937.33/master-export-1921728 \
 		-DREPRODUCIBLE_BUILD=OFF \
 		-DUSE_LD_LLD=OFF \
 		-DDEB_PRODUCT=cluster-community \
-		-DWITH_NDBCLUSTER=1 -DWITH_MEB=0 -DWITH_ROUTER=0
+		-DWITH_NDBCLUSTER=1 -DWITH_NDB=1 -DWITH_MEB=0 -DWITH_ROUTER=0
 
 	touch $@
