## mysql-cluster-community 8.0.32

=== debian/changelog ===
mysql-cluster-community (8.0.32-1debian11) bullseye; urgency=low

  * New Release. For release notes, please refer to
    https://dev.mysql.com/doc/relnotes/mysql/8.0/en/news-8-0-32.html

 -- MySQL Release Engineering <mysql-build@oss.oracle.com>  Sat, 17 Dec 2022 02:00:09 +0000
