=== debian/control ===
--- 
+++ 
@@ -14,6 +14,7 @@
  po-debconf,
  psmisc,
  bison,
+ elfutils,
  lsb-release,
  cmake,
  fakeroot,
@@ -89,6 +90,7 @@
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Breaks: mysql-cluster-community-server (<< 8.0.1),
  mysql-cluster-commercial-server (<< 8.0.1),
+ mysql-common (<< 8.0.32)
 Conflicts: mysql,
  mysql-server-core-5.7,
  mysql-server-core-8.0,
@@ -99,6 +101,7 @@
 Replaces: mysql-cluster-community-server (<< 8.0.1),
  mysql-cluster-commercial-server (<< 8.0.1),
  mysql-cluster-commercial-server-core,
+ mysql-common (<< 8.0.32),
  mysql-server-core-5.7,
  mysql-server-core-8.0
 Provides: virtual-mysql-server-core
@@ -285,4 +288,3 @@
  The MySQL(TM) software delivers a very fast, multi-threaded, multi-user,
  and robust SQL (Structured Query Language) database server. MySQL Server
  is intended for mission-critical, heavy-load production systems as well
- as for embedding into mass-deployed software. MySQL is a trademark of
