=== debian/rules ===
--- 
+++ 
@@ -54,7 +54,7 @@
 		-DCOMPILATION_COMMENT="MySQL Cluster Community - GPL - Debug" \
 		-DCOMPILATION_COMMENT_SERVER="MySQL Cluster Community Server - GPL - Debug" \
 		-DINSTALL_LAYOUT=DEB \
--DNDB_NODEJS_EXTRAS_PATH=/var/lib/pb2/sb_1-7666722-1657167937.33/master-export-1921728 \
+-DNDB_NODEJS_EXTRAS_PATH=/var/lib/pb2/sb_1-9706785-1671242290.93/master-export-1921728 \
 		-DREPRODUCIBLE_BUILD=OFF \
 		-DUSE_LD_LLD=OFF \
 		-DDEB_PRODUCT=cluster-community \
@@ -75,7 +75,7 @@
 		-DCOMPILATION_COMMENT="MySQL Cluster Community - GPL" \
 		-DCOMPILATION_COMMENT_SERVER="MySQL Cluster Community Server - GPL" \
 		-DINSTALL_LAYOUT=DEB \
--DNDB_NODEJS_EXTRAS_PATH=/var/lib/pb2/sb_1-7666722-1657167937.33/master-export-1921728 \
+-DNDB_NODEJS_EXTRAS_PATH=/var/lib/pb2/sb_1-9706785-1671242290.93/master-export-1921728 \
 		-DREPRODUCIBLE_BUILD=OFF \
 		-DUSE_LD_LLD=OFF \
 		-DDEB_PRODUCT=cluster-community \
